oracle.pgx.config

## Enum ClientConfig.Field

- java.lang.Object
- - java.lang.Enum<ClientConfig.Field>
  - - oracle.pgx.config.ClientConfig.Field

- All Implemented Interfaces:
    Serializable, Comparable<ClientConfig.Field>, ConfigField
  Enclosing class:
    ClientConfig

      public static enum ClientConfig.Field
      extends Enum<ClientConfig.Field>
      implements ConfigField

  Fields of PGX Engine Client Config

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE_URL` The base url in the format `host [ : port][ /path]` of the PGX server REST end-point.
    `PREFETCH_SIZE` How many items should be prefetched in remote iterators.
    `REMOTE_FUTURE_TIMEOUT` How long one `GET` request for a `PgxRemoteFuture` will be alive, until it times out and tries again.
    `UPLOAD_BATCH_SIZE` How many items will be uploaded in a batch.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDefaultVal()` Gets the default value of this field.
    `List<String>` | `getKeyAliases()` Gets the key aliases of this field which are also recognized during parsing.
    `Class<?>` | `getType()` Gets the type of this field.
    `boolean` | `isArray()` Checks if this field is an array.
    `boolean` | `isEnum()` Checks if this field is of enum type.
    `boolean` | `isPath()` Checks if this field is a path.
    `boolean` | `isPrimitive()` Checks if this field is of primitive type.
    `boolean` | `isRequired()` Checks if this field is required.
    `String` | `toKey()` Get the key of this field, which is how this field is represented in serialized form.
    `String` | `toString()`
    `static ClientConfig.Field` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientConfig.Field[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASE_URL

          public static final ClientConfig.Field BASE_URL

      The base url in the format `host [ : port][ /path]` of the PGX server REST end-point. If the base_url is `null`, the default will be used which points to embedded PGX instance. You can use the form `[ user [ : password ] @ ] host [ : port][ /path]` to specify a basic auth username and password.

    - #### PREFETCH_SIZE

          public static final ClientConfig.Field PREFETCH_SIZE

      How many items should be prefetched in remote iterators.

    - #### REMOTE_FUTURE_TIMEOUT

          public static final ClientConfig.Field REMOTE_FUTURE_TIMEOUT

      How long one `GET` request for a `PgxRemoteFuture` will be alive, until it times out and tries again. Time in milliseconds, set it to zero for an infinite timeout. See HTTP Client `SO_TIMEOUT` for more details.

    - #### UPLOAD_BATCH_SIZE

          public static final ClientConfig.Field UPLOAD_BATCH_SIZE

      How many items will be uploaded in a batch. This is used in `Core#addAllToCollection()` and `Core#setProperty()`

  - ### Method Detail

    - #### getDefaultVal

          public Object getDefaultVal()

      Description copied from interface: `ConfigField`
      Gets the default value of this field.
      Specified by:
        `getDefaultVal` in interface `ConfigField`
      Returns:
        the default value

    - #### getKeyAliases

          public List<String> getKeyAliases()

      Description copied from interface: `ConfigField`
      Gets the key aliases of this field which are also recognized during parsing.
      Specified by:
        `getKeyAliases` in interface `ConfigField`
      Returns:
        the key aliases

    - #### getType

          public Class<?> getType()

      Description copied from interface: `ConfigField`
      Gets the type of this field.
      Specified by:
        `getType` in interface `ConfigField`
      Returns:
        the type

    - #### isArray

          public boolean isArray()

      Description copied from interface: `ConfigField`
      Checks if this field is an array.
      Specified by:
        `isArray` in interface `ConfigField`
      Returns:
        true, if array

    - #### isEnum

          public boolean isEnum()

      Description copied from interface: `ConfigField`
      Checks if this field is of enum type.
      Specified by:
        `isEnum` in interface `ConfigField`
      Returns:
        true, if enum

    - #### isPath

          public boolean isPath()

      Description copied from interface: `ConfigField`
      Checks if this field is a path.
      Specified by:
        `isPath` in interface `ConfigField`
      Returns:
        true, if path

    - #### isPrimitive

          public boolean isPrimitive()

      Description copied from interface: `ConfigField`
      Checks if this field is of primitive type.
      Specified by:
        `isPrimitive` in interface `ConfigField`
      Returns:
        true, if primitive

    - #### isRequired

          public boolean isRequired()

      Description copied from interface: `ConfigField`
      Checks if this field is required.
      Specified by:
        `isRequired` in interface `ConfigField`
      Returns:
        true, if required

    - #### toKey

          public String toKey()

      Description copied from interface: `ConfigField`
      Get the key of this field, which is how this field is represented in serialized form.
      Specified by:
        `toKey` in interface `ConfigField`
      Returns:
        the key.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ClientConfig.Field>`

    - #### valueOf

          public static ClientConfig.Field valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ClientConfig.Field[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientConfig.Field c : ClientConfig.Field.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.